package com.steering.mes.mcp.entity;

/**
 * 数据库表TQNQC17所对应的实体类（生成工具：代码生成工具1.0.0.0  ）
 * @author WIN-3A78MC3TM5F   date 2023-07-06
 */
@SuppressWarnings("serial")
public class Tqnqc17Entity implements java.io.Serializable {
    /**
     * 记录创建责任者
     */
    private String recCreator = "";
    /**
     * 记录创建时刻
     */
    private String recCreateTime = "";
    /**
     * 记录修改责任者
     */
    private String recRevisor = "";
    /**
     * 记录修改时刻
     */
    private String recReviseTime = "";
    /**
     * 归档标记
     */
    private String archiveFlag = "";
    /**
     * 修改/删除标记
     */
    private String duFlag = "";
    /**
     * 修改/删除责任者
     */
    private String duMaker = "";
    /**
     * 修改/删除时间
     */
    private String duTime = "";
    /**
     * 版次
     */
    private String version = "";
    /**
     * 优先级
     */
    private String serialNum = "";
    /**
     * 策略是否实现
     */
    private String strategryIs = "";
    /**
     * 单位
     */
    private String factoryDiv = "";
    /**
     * 机组
     */
    private String unitCode = "";
    /**
     * 坯料来源
     */
    private String billetOrigin = "";
    /**
     * 锭坯型
     */
    private String ingotName = "";
    /**
     * 品种分类
     */
    private String steelTypeCode = "";
    /**
     * (非)定尺
     */
    private String nonLength = "";
    /**
     * 交货状态
     */
    private String hotTreatMethod = "";
    /**
     * 表面状态
     */
    private String sufaceState = "";
    /**
     * 加热炉烧损
     */
    private String jiarelu = "";
    /**
     * 热处理烧损
     */
    private String rechuli = "";
    /**
     * 热轧切头
     */
    private String rezha = "";
    /**
     * 定尺切头
     */
    private String dinchi = "";
    /**
     * 扒皮/车削
     */
    private String bapi = "";
    /**
     * 取料
     */
    private String quliao = "";
    /**
     * 总损失
     */
    private String zsunshi = "";
    /**
     * 理论成材率
     */
    private String chencailv = "";
    /**
     * 备用1
     */
    private String alloyBak1 = "";
    /**
     * 备用2
     */
    private String alloyBak2 = "";
    /**
     * 备用3
     */
    private String alloyBak3 = "";
    /**
     * 备用4
     */
    private String alloyBak4 = "";
    /**
     * 备用5
     */
    private String alloyBak5 = "";
    /**
     * 备用字段_N1
     */
    private String spareItemN1 = "";
    /**
     * 备用字段_N2
     */
    private String spareItemN2 = "";
    /**
     * 备用字段_N3
     */
    private String spareItemN3 = "";
    /**
     * 备用字段_N4
     */
    private String spareItemN4 = "";
    /**
     * 备用字段_N5
     */
    private String spareItemN5 = "";
    /**
     * 编号
     */
    private String rpNum = "";

    /**
     * 通孔损失
     */
    private String tksunshi = "";
    
    /**
     * 理重损失
     */
    private String lzsunshi = "";
    
    /**
     * 废品
     */
    
    private String fp = "";
    
    public String getFp() {
		return fp;
	}

	public void setFp(String fp) {
		this.fp = fp;
	}

	/**
     * 记录创建责任者
     * @return value
     */
    public String getRecCreator() {
        return recCreator;
    }

    /**
     * 记录创建责任者
     * @param recCreator value
     */
    public void setRecCreator(String recCreator) {
        this.recCreator = recCreator;
    }

    /**
     * 记录创建时刻
     * @return value
     */
    public String getRecCreateTime() {
        return recCreateTime;
    }

    /**
     * 记录创建时刻
     * @param recCreateTime value
     */
    public void setRecCreateTime(String recCreateTime) {
        this.recCreateTime = recCreateTime;
    }

    /**
     * 记录修改责任者
     * @return value
     */
    public String getRecRevisor() {
        return recRevisor;
    }

    /**
     * 记录修改责任者
     * @param recRevisor value
     */
    public void setRecRevisor(String recRevisor) {
        this.recRevisor = recRevisor;
    }

    /**
     * 记录修改时刻
     * @return value
     */
    public String getRecReviseTime() {
        return recReviseTime;
    }

    /**
     * 记录修改时刻
     * @param recReviseTime value
     */
    public void setRecReviseTime(String recReviseTime) {
        this.recReviseTime = recReviseTime;
    }

    /**
     * 归档标记
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标记
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 修改/删除标记
     * @return value
     */
    public String getDuFlag() {
        return duFlag;
    }

    /**
     * 修改/删除标记
     * @param duFlag value
     */
    public void setDuFlag(String duFlag) {
        this.duFlag = duFlag;
    }

    /**
     * 修改/删除责任者
     * @return value
     */
    public String getDuMaker() {
        return duMaker;
    }

    /**
     * 修改/删除责任者
     * @param duMaker value
     */
    public void setDuMaker(String duMaker) {
        this.duMaker = duMaker;
    }

    /**
     * 修改/删除时间
     * @return value
     */
    public String getDuTime() {
        return duTime;
    }

    /**
     * 修改/删除时间
     * @param duTime value
     */
    public void setDuTime(String duTime) {
        this.duTime = duTime;
    }

    /**
     * 版次
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /**
     * 版次
     * @param version value
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * 优先级
     * @return value
     */
    public String getSerialNum() {
        return serialNum;
    }

    /**
     * 优先级
     * @param serialNum value
     */
    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum;
    }

    /**
     * 策略是否实现
     * @return value
     */
    public String getStrategryIs() {
        return strategryIs;
    }

    /**
     * 策略是否实现
     * @param strategryIs value
     */
    public void setStrategryIs(String strategryIs) {
        this.strategryIs = strategryIs;
    }

    /**
     * 单位
     * @return value
     */
    public String getFactoryDiv() {
        return factoryDiv;
    }

    /**
     * 单位
     * @param factoryDiv value
     */
    public void setFactoryDiv(String factoryDiv) {
        this.factoryDiv = factoryDiv;
    }

    /**
     * 机组
     * @return value
     */
    public String getUnitCode() {
        return unitCode;
    }

    /**
     * 机组
     * @param unitCode value
     */
    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    /**
     * 坯料来源
     * @return value
     */
    public String getBilletOrigin() {
        return billetOrigin;
    }

    /**
     * 坯料来源
     * @param billetOrigin value
     */
    public void setBilletOrigin(String billetOrigin) {
        this.billetOrigin = billetOrigin;
    }

    /**
     * 锭坯型
     * @return value
     */
    public String getIngotName() {
        return ingotName;
    }

    /**
     * 锭坯型
     * @param ingotName value
     */
    public void setIngotName(String ingotName) {
        this.ingotName = ingotName;
    }

    /**
     * 品种分类
     * @return value
     */
    public String getSteelTypeCode() {
        return steelTypeCode;
    }

    /**
     * 品种分类
     * @param steelTypeCode value
     */
    public void setSteelTypeCode(String steelTypeCode) {
        this.steelTypeCode = steelTypeCode;
    }

    /**
     * (非)定尺
     * @return value
     */
    public String getNonLength() {
        return nonLength;
    }

    /**
     * (非)定尺
     * @param nonLength value
     */
    public void setNonLength(String nonLength) {
        this.nonLength = nonLength;
    }

    /**
     * 交货状态
     * @return value
     */
    public String getHotTreatMethod() {
        return hotTreatMethod;
    }

    /**
     * 交货状态
     * @param hotTreatMethod value
     */
    public void setHotTreatMethod(String hotTreatMethod) {
        this.hotTreatMethod = hotTreatMethod;
    }

    /**
     * 表面状态
     * @return value
     */
    public String getSufaceState() {
        return sufaceState;
    }

    /**
     * 表面状态
     * @param sufaceState value
     */
    public void setSufaceState(String sufaceState) {
        this.sufaceState = sufaceState;
    }

    /**
     * 加热炉烧损
     * @return value
     */
    public String getJiarelu() {
        return jiarelu;
    }

    /**
     * 加热炉烧损
     * @param jiarelu value
     */
    public void setJiarelu(String jiarelu) {
        this.jiarelu = jiarelu;
    }

    /**
     * 热处理烧损
     * @return value
     */
    public String getRechuli() {
        return rechuli;
    }

    /**
     * 热处理烧损
     * @param rechuli value
     */
    public void setRechuli(String rechuli) {
        this.rechuli = rechuli;
    }

    /**
     * 热轧切头
     * @return value
     */
    public String getRezha() {
        return rezha;
    }

    /**
     * 热轧切头
     * @param rezha value
     */
    public void setRezha(String rezha) {
        this.rezha = rezha;
    }

    /**
     * 定尺切头
     * @return value
     */
    public String getDinchi() {
        return dinchi;
    }

    /**
     * 定尺切头
     * @param dinchi value
     */
    public void setDinchi(String dinchi) {
        this.dinchi = dinchi;
    }

    /**
     * 扒皮/车削
     * @return value
     */
    public String getBapi() {
        return bapi;
    }

    /**
     * 扒皮/车削
     * @param bapi value
     */
    public void setBapi(String bapi) {
        this.bapi = bapi;
    }

    /**
     * 取料
     * @return value
     */
    public String getQuliao() {
        return quliao;
    }

    /**
     * 取料
     * @param quliao value
     */
    public void setQuliao(String quliao) {
        this.quliao = quliao;
    }

    /**
     * 总损失
     * @return value
     */
    public String getZsunshi() {
        return zsunshi;
    }

    /**
     * 总损失
     * @param zsunshi value
     */
    public void setZsunshi(String zsunshi) {
        this.zsunshi = zsunshi;
    }

    /**
     * 理论成材率
     * @return value
     */
    public String getChencailv() {
        return chencailv;
    }

    /**
     * 理论成材率
     * @param chencailv value
     */
    public void setChencailv(String chencailv) {
        this.chencailv = chencailv;
    }

    /**
     * 备用1
     * @return value
     */
    public String getAlloyBak1() {
        return alloyBak1;
    }

    /**
     * 备用1
     * @param alloyBak1 value
     */
    public void setAlloyBak1(String alloyBak1) {
        this.alloyBak1 = alloyBak1;
    }

    /**
     * 备用2
     * @return value
     */
    public String getAlloyBak2() {
        return alloyBak2;
    }

    /**
     * 备用2
     * @param alloyBak2 value
     */
    public void setAlloyBak2(String alloyBak2) {
        this.alloyBak2 = alloyBak2;
    }

    /**
     * 备用3
     * @return value
     */
    public String getAlloyBak3() {
        return alloyBak3;
    }

    /**
     * 备用3
     * @param alloyBak3 value
     */
    public void setAlloyBak3(String alloyBak3) {
        this.alloyBak3 = alloyBak3;
    }

    /**
     * 备用4
     * @return value
     */
    public String getAlloyBak4() {
        return alloyBak4;
    }

    /**
     * 备用4
     * @param alloyBak4 value
     */
    public void setAlloyBak4(String alloyBak4) {
        this.alloyBak4 = alloyBak4;
    }

    /**
     * 备用5
     * @return value
     */
    public String getAlloyBak5() {
        return alloyBak5;
    }

    /**
     * 备用5
     * @param alloyBak5 value
     */
    public void setAlloyBak5(String alloyBak5) {
        this.alloyBak5 = alloyBak5;
    }

    /**
     * 备用字段_N1
     * @return value
     */
    public String getSpareItemN1() {
        return spareItemN1;
    }

    /**
     * 备用字段_N1
     * @param spareItemN1 value
     */
    public void setSpareItemN1(String spareItemN1) {
        this.spareItemN1 = spareItemN1;
    }

    /**
     * 备用字段_N2
     * @return value
     */
    public String getSpareItemN2() {
        return spareItemN2;
    }

    /**
     * 备用字段_N2
     * @param spareItemN2 value
     */
    public void setSpareItemN2(String spareItemN2) {
        this.spareItemN2 = spareItemN2;
    }

    /**
     * 备用字段_N3
     * @return value
     */
    public String getSpareItemN3() {
        return spareItemN3;
    }

    /**
     * 备用字段_N3
     * @param spareItemN3 value
     */
    public void setSpareItemN3(String spareItemN3) {
        this.spareItemN3 = spareItemN3;
    }

    /**
     * 备用字段_N4
     * @return value
     */
    public String getSpareItemN4() {
        return spareItemN4;
    }

    /**
     * 备用字段_N4
     * @param spareItemN4 value
     */
    public void setSpareItemN4(String spareItemN4) {
        this.spareItemN4 = spareItemN4;
    }

    /**
     * 备用字段_N5
     * @return value
     */
    public String getSpareItemN5() {
        return spareItemN5;
    }

    /**
     * 备用字段_N5
     * @param spareItemN5 value
     */
    public void setSpareItemN5(String spareItemN5) {
        this.spareItemN5 = spareItemN5;
    }

    /**
     * 编号
     * @return value
     */
    public String getRpNum() {
        return rpNum;
    }

    /**
     * 编号
     * @param rpNum value
     */
    public void setRpNum(String rpNum) {
        this.rpNum = rpNum;
    }

	public String getTksunshi() {
		return tksunshi;
	}

	public void setTksunshi(String tksunshi) {
		this.tksunshi = tksunshi;
	}

	public String getLzsunshi() {
		return lzsunshi;
	}

	public void setLzsunshi(String lzsunshi) {
		this.lzsunshi = lzsunshi;
	}
    
    
}